cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement

## Class PMU_B04_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.personnelmanagement.PMU_B04_Common

- Direct Known Subclasses:
    PMU_B04, PMU_B05, PMU_B06

      public abstract class PMU_B04_Common
      extends Message

  PMU_B04 - Activate Practicing Person (Event B04). An event B04 signals that a staff member is available for work (e.g. schedules can be created) and has a relationship with the institution.

  Represents a PMU_B04 message structure (see chapter 15.3.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE_OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: STF (Staff Identification Segment) SINGLE_COMPULSARY
  5: PRA (Practitioner Detail Segment) MULTIPLE_OPTIONAL
  6: ORG (Practitioner Organization Unit Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrganizationSegment(ORG objORG)` Adds Organization Segment(ORG) to this message.
    `void` | `addOrganizationSegments(ISingleCollection<ORG> objORGSegmentCollection)` Adds collection of Organization Segment(ORG) to this message.
    `void` | `addPractitionerSegment(PRA objPRA)` Adds Practitioner Segment(PRA) to this message.
    `void` | `addPractitionerSegments(ISingleCollection<PRA> objPRASegmentCollection)` Adds collection of Practitioner Segment(PRA) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<ORG>` | `getOrganizationSegments()` Retrieves Collection of Organization Segments(ORG) present in this message.
    `ISingleCollection<PRA>` | `getPractitionerSegments()` Retrieves Collection of Practitioner Segments(PRA) present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `STF` | `getStaffTypeSegment()` Retrieves Staff(STF) segment present in this message
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setStaffSegment(STF objSTF)` Sets value of Staff segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - the EVN Segment present in this message or null if unavailable.

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### setStaffSegment

          public void setStaffSegment(STF objSTF)

      Sets value of Staff segment for this message,overwrites if already present.
      Parameters:
        `objSTF` - Specified Staff Segment

    - #### getStaffTypeSegment

          public STF getStaffTypeSegment()

      Retrieves Staff(STF) segment present in this message
      Returns:
        STF - the STF Segment present in this message or null if unavailable.

    - #### getPractitionerSegments

          public ISingleCollection<PRA> getPractitionerSegments()

      Retrieves Collection of Practitioner Segments(PRA) present in this message.
      Returns:
        ISingleCollection - Collection of Practitioner Segments(PRA) present in this message.

    - #### addPractitionerSegment

          public void addPractitionerSegment(PRA objPRA)

      Adds Practitioner Segment(PRA) to this message.
      Parameters:
        `objPRA` - Specified Practitioner Segment(PRA)

    - #### addPractitionerSegments

          public void addPractitionerSegments(ISingleCollection<PRA> objPRASegmentCollection)

      Adds collection of Practitioner Segment(PRA) to this message.
      Parameters:
        `objPRASegmentCollection` - Collection of Practitioner Segments

    - #### getOrganizationSegments

          public ISingleCollection<ORG> getOrganizationSegments()

      Retrieves Collection of Organization Segments(ORG) present in this message.
      Returns:
        ISingleCollection - Collection of Organization Segments(ORG) present in this message.

    - #### addOrganizationSegment

          public void addOrganizationSegment(ORG objORG)

      Adds Organization Segment(ORG) to this message.
      Parameters:
        `objORG` - Specified Organization Segment(ORG)

    - #### addOrganizationSegments

          public void addOrganizationSegments(ISingleCollection<ORG> objORGSegmentCollection)

      Adds collection of Organization Segment(ORG) to this message.
      Parameters:
        `objORGSegmentCollection` - Collection of Organization Segments